fedpkg-1.35-1.fc29.noarch.rpm


Advertisement

Description

fedpkg - Fedora utility for working with dist-git

Property Value
Distribution Fedora 29
Repository Fedora i386
Package filename fedpkg-1.35-1.fc29.noarch.rpm
Package name fedpkg
Package version 1.35
Package release 1.fc29
Package architecture noarch
Package type rpm
Homepage https://pagure.io/fedpkg
License GPLv2+
Maintainer -
Download size 82.46 KB
Installed size 201.04 KB
Provides the fedpkg command for working with dist-git

Alternatives

Package Version Architecture Repository
fedpkg-1.37-7.fc29.noarch.rpm 1.37 noarch Fedora Updates
fedpkg-1.37-7.fc29.noarch.rpm 1.37 noarch Fedora Updates
fedpkg-1.35-1.fc29.noarch.rpm 1.35 noarch Fedora
fedpkg - - -

Requires

Name Value
/usr/bin/python3 -
fedora-packager -
koji -
python(abi) = 3.7
python3-bodhi-client -
python3-bugzilla -
python3-fedora -
python3-openidc-client >= 0.6.0
python3-rpkg >= 1.56-1
redhat-rpm-config -

Provides

Name Value
config(fedpkg) = 1.35-1.fc29
fedpkg = 1.35-1.fc29
python3.7dist(fedpkg) = 1.35
python3dist(fedpkg) = 1.35

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package fedpkg-1.35-1.fc29.noarch.rpm
Source Package fedpkg-1.35-1.fc29.src.rpm

Install Howto

Install fedpkg rpm package:

# dnf install fedpkg

Files

Path
/etc/rpkg/fedpkg.conf
/usr/bin/fedpkg
/usr/lib/python3.7/site-packages/fedpkg/__init__.py
/usr/lib/python3.7/site-packages/fedpkg/__main__.py
/usr/lib/python3.7/site-packages/fedpkg/bugzilla.py
/usr/lib/python3.7/site-packages/fedpkg/cli.py
/usr/lib/python3.7/site-packages/fedpkg/lookaside.py
/usr/lib/python3.7/site-packages/fedpkg/utils.py
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/PKG-INFO
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/SOURCES.txt
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/dependency_links.txt
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/entry_points.txt
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/requires.txt
/usr/lib/python3.7/site-packages/fedpkg-1.35-py3.7.egg-info/top_level.txt
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/__main__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/__main__.cpython-37.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/bugzilla.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/bugzilla.cpython-37.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/cli.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/cli.cpython-37.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/lookaside.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/lookaside.cpython-37.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/utils.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/fedpkg/__pycache__/utils.cpython-37.pyc
/usr/share/bash-completion/
/usr/share/bash-completion/completions/fedpkg.bash
/usr/share/doc/fedpkg/CHANGELOG.rst
/usr/share/doc/fedpkg/README
/usr/share/licenses/fedpkg/COPYING
/usr/share/man/man1/fedpkg.1.gz
/usr/share/zsh/site-functions/_fedpkg

Changelog

2018-08-21 - Chenxiong Qi <cqi@redhat.com> - 1.35-1
- Reserve last bodhi template on error - rhbz#1467897 (cqi)
- New command releases-info - #247 (cqi)
- Fix a test for request-repo command (cqi)
- New option to request a repo without an initial commit - #215 (cqi)
- Add --shell to bash completion for mockbuild (cqi)
- Greenwave conf and support for gating validation (gnaponie)
- Allow to create update directly with CLI options - #93 rhbz#1007157 (cqi)
- Add more tests for utils (cqi)
- Rewrite method to create bodhi update - rhbz#1492480 (cqi)
- Mock fedora.client.OpenIdBaseClient._load_cookies (cqi)
- Do not use configparser.SafeConfigParser in tests (cqi)
- Fix test_retire to use unittest2 in el6 (cqi)
- Submit builds from stream branch (cqi)
- The create new project is not needed for packager (pingou)
- Add py37 testenv (cqi)
- Set PYCURL_SSL_LIBRARY directly for installing pycurl (cqi)
- Fix flake8 errors and typo in tests (cqi)
- Add tests for some commands (cqi)
- Add tests for utils.py (cqi)
- Convert test case for utils.py as normal test case (cqi)
- Add some tests for BugzillaClient (cqi)
- Fix TypeError raised from override create command - #256 (cqi)
- Add missing command and options in bash completion (cqi)
2018-08-03 - Chenxiong Qi <cqi@redhat.com> - 1.34-3
- Require python-openidc-client 0.6.0 as minimum version
2018-07-31 - Chenxiong Qi <cqi@redhat.com> - 1.34-2
- Fix files section for Python 3 build
2018-07-24 - Chenxiong Qi <cqi@redhat.com> - 1.34-1
- Get csrf token properly when retry bodhi API call (cqi)
- Accept old config with module instead of repo (lsedlar)
- Add option --namespace to command request-branch (cqi)
- Add argument name and option --namespace to request-repo - #193 #200 (cqi)
- Add explicit option --repo for request-branch - #244 (cqi)
- Do not use deprecated option module-name (cqi)
- Remove compatible code with EL5 in bash completion (cqi)
- Handle Bodhi login automatically (cqi)
- Refine command override create (cqi)
- request-repo: Fix API token help text - #232 (tmz)
- Use base_module in clone_config - #230 (tmz)
- Extend override by number of days or specific date - #67 (cqi)
- Use refactored man from pyrpkg (puiterwijk)
- Add new command for creating override in Bodhi - #92 (cqi)
- Also remove bodhi url from config (cqi)
- Check bodhi version earlier (cqi)
- Drop support of bodhi-client 0.9 - #223 (cqi)
- Use custom ArgumentParser from pyrpkg.cli (jkucera)
- Add OIDC config (puiterwijk)
- Fix argparse error in Python 3 - #221 (cqi)
2018-07-13 - Fedora Release Engineering <releng@fedoraproject.org> - 1.33-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-06-19 - Miro Hrončok <mhroncok@redhat.com> - 1.33-4
- Rebuilt for Python 3.7
2018-05-22 - Chenxiong Qi <cqi@redhat.com> 1.33-3
- Backport: Fix argparse error in Python 3
2018-05-21 - Chenxiong Qi <cqi@redhat.com> 1.33-2
- Require python2-rpkg-1.54-2 as minimum version
2018-05-14 - Chenxiong Qi <cqi@redhat.com> - 1.33-1
- Allow running tests against specified rpkg (cqi)
- Fix test due to rpkg uses getpass.getuser (cqi)
- Getting bodhi version works with Python 3 - #213 (cqi)
- Detect Bodhi client by major version - #204 (cqi)
- Allow requesting modular repositories without bug ID - #197 (rdossant)
- Fix test test_verify_sls_invalid_date - #209 (cqi)
- Copy pip-pycurl to ensure pycurl is installed correctly (cqi)
- Fix unicode issue for update command in Python 3 - #206 (cqi)
- Fix a few E722 code styles errors (cqi)
- Fix fake PDC URL in test (cqi)
- Use tox to run tests with multiple Python versions (cqi)
- Reword error message for missing pagure token - #194 (cqi)
- Tell which token ACL is required for request-repo - #195 (cqi)
- Rename incorrect references of Koshei to be Anitya (mprahl)
2018-05-10 - Miro Hrončok <mhroncok@redhat.com> - 1.32-2
- Switch to Python 3 on Fedora > 28 and EL > 7
- Drop Groups
- Switch to %{buildroot}
- Switch to %py_build and _install

See Also

Package Description
fedpkg-minimal-1.1.0-11.fc29.noarch.rpm Script to allow fedpkg fetch to work
fedpkg-stage-1.35-1.fc29.noarch.rpm Fedora utility for working with dist-git
fedrepos-0.2-9.fc29.noarch.rpm Update fedora yum repositories on a host to use a single source
fedscm-admin-1.0.2-2.fc29.noarch.rpm CLI tool to process Fedora SCM requests
fedwatch-0.5-10.fc29.noarch.rpm Tool for watching fedmsg messages and running arbitrary scripts
feedreader-2.2-2.fc29.i686.rpm RSS desktop client
feedstail-0.5.1-6.fc29.noarch.rpm A tail-f-like utility for feeds
feh-2.19.3-3.fc29.i686.rpm Fast command line image viewer using Imlib2
felix-bundlerepository-2.0.10-4.fc29.noarch.rpm Bundle repository service
felix-bundlerepository-javadoc-2.0.10-4.fc29.noarch.rpm API documentation for felix-bundlerepository
felix-configadmin-1.8.14-4.fc29.noarch.rpm Apache Felix Configuration Admin Service
felix-configadmin-javadoc-1.8.14-4.fc29.noarch.rpm API documentation for felix-configadmin
felix-fileinstall-3.5.0-4.fc27.noarch.rpm A utility to automatically install bundles from a directory
felix-fileinstall-javadoc-3.5.0-4.fc27.noarch.rpm Javadoc for felix-fileinstall
felix-framework-5.6.0-5.fc29.noarch.rpm Apache Felix Framework
Advertisement
Advertisement